Primary Contacts
GET
offices/{officeId}/primary-contacts
Retrieves a list of primary contacts for the specified office.
A primary contact is a user in the subcontractor’s company who can be contacted by general contractors for bid invitations.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/offices/{officeId}/primary-contacts |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Request
Query String Parameters
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| limit int | The maximum number of records that the endpoint may return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
Default value: |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
Expand all
| pagination object | The pagination details of a response. |
| limit int | The maximum number of records to return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
|
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| nextUrl string | The URL path that returns the next page of data. |
| results array: object | List of primary contacts. |
| userId string | The unique BuildingConnected ID of the user being set as primary contact.
Max length: 24 |
| createdBy string | The unique BuildingConnected ID of the user who created this primary contact.
Max length: 24 |
| createdAt datetime: ISO 8601 | The date this primary contact was created. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/offices/:officeId/primary-contacts' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"limit": 100,
"cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
"nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
},
"results": [
{
"userId": "5d8104b87e392d56e1e4b4ca",
"createdBy": "5d8104b87e392d56e1e4b4ca",
"createdAt": "2021-08-19T23:07:16.083Z"
}
]
}
Show More